PAPI_enum_cmp_event(3)

NAME
PAPI_enum_cmp_event -

Enumerate PAPI preset or native events for a given component.

SYNOPSIS

Detailed Description

@par C Interface:

int PAPI_enum_cmp_event( int *EventCode, int  modifer, int cidx );

Given an event code, PAPI_enum_event replaces the event
code with the next available event.

The modifier argument affects which events are returned.
For all platforms and event types, a value of PAPI_ENUM_ALL (zero)
directs the function to return all possible events. @n

For native events, the effect of the modifier argument may be
   different on each platform.
See the discussion below for platform-specific definitions.

@param *EventCode
    A defined preset or native event such as PAPI_TOT_INS.
@param modifier
    Modifies the search logic. See below for full list.
    For native events, each platform behaves differently.
    See platform-specific documentation for details.

   @param cidx
           Specifies the component to search in

@retval PAPI_ENOEVNT
    The next requested PAPI preset or native event is not available on
    the underlying hardware.

@par Examples:

*   // Scan for all supported native events on the first component
*   printf( "Name			       Code	   Description );
*   do {
*       retval = PAPI_get_event_info( i, &info );
*       if ( retval == PAPI_OK ) {
*       printf( "%-30s %#-10xs, info.symbol, info.event_code, info.long_descr );
*       }
*   } while ( PAPI_enum_cmp_event( &i, PAPI_ENUM_ALL, 0 ) == PAPI_OK );
*

Generic Modifiers
    The following values are implemented for preset events

    •   PAPI_ENUM_EVENTS -- Enumerate all (default)
    •   PAPI_ENUM_FIRST -- Enumerate first event (preset or native) preset/native chosen based on type of EventCode
Native Modifiers
    The following values are implemented for native events

    •   PAPI_NTV_ENUM_UMASKS -- Given an event, iterate through possible umasks one at a time
    •   PAPI_NTV_ENUM_UMASK_COMBOS -- Given an event, iterate through all possible combinations of umasks. This is not implemented on libpfm4.
Preset Modifiers
    The following values are implemented for preset events

    •   PAPI_PRESET_ENUM_AVAIL -- enumerate only available presets
    •   PAPI_PRESET_ENUM_MSC -- Miscellaneous preset events
    •   PAPI_PRESET_ENUM_INS -- Instruction related preset events
    •   PAPI_PRESET_ENUM_IDL -- Stalled or Idle preset events
    •   PAPI_PRESET_ENUM_BR -- Branch related preset events
    •   PAPI_PRESET_ENUM_CND -- Conditional preset events
    •   PAPI_PRESET_ENUM_MEM -- Memory related preset events
    •   PAPI_PRESET_ENUM_CACH -- Cache related preset events
    •   PAPI_PRESET_ENUM_L1 -- L1 cache related preset events
    •   PAPI_PRESET_ENUM_L2 -- L2 cache related preset events
    •   PAPI_PRESET_ENUM_L3 -- L3 cache related preset events
    •   PAPI_PRESET_ENUM_TLB -- Translation Lookaside Buffer events
    •   PAPI_PRESET_ENUM_FP -- Floating Point related preset events
ITANIUM Modifiers
    The following values are implemented for modifier on Itanium:

    •   PAPI_NTV_ENUM_IARR - Enumerate IAR (instruction address ranging) events
    •   PAPI_NTV_ENUM_DARR - Enumerate DAR (data address ranging) events
    •   PAPI_NTV_ENUM_OPCM - Enumerate OPC (opcode matching) events
    •   PAPI_NTV_ENUM_IEAR - Enumerate IEAR (instr event address register) events
    •   PAPI_NTV_ENUM_DEAR - Enumerate DEAR (data event address register) events
POWER Modifiers
    The following values are implemented for POWER

    •   PAPI_NTV_ENUM_GROUPS - Enumerate groups to which an event belongs
See Also:
    PAPI
     PAPIF
     PAPI_enum_event
     PAPI_get_event_info
     PAPI_event_name_to_code
     PAPI_preset
     PAPI_native

Author
Generated automatically by Doxygen for PAPI from the source code.